import { codeFrameColumns } from "@babel/code-frame";
class CodeFrameError extends Error {
  constructor(message, file) {
    super(message);
    this.file = file;
    Object.setPrototypeOf(this, CodeFrameError.prototype);
  }
  toString(options) {
    return [
      `CodeFrameError: ${this.message}`,
      "",
      this.file.name,
      codeFrameColumns(this.file.rawLines, this.file.location, options),
      ""
    ].filter((l) => l !== void 0).join("\n");
  }
}
export {
  CodeFrameError as default
};
